org.springframework.cloud.dataflow.rest.resource

## Class AppRegistrationResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<AppRegistrationResource>
  - - org.springframework.cloud.dataflow.rest.resource.AppRegistrationResource

- Direct Known Subclasses:
    DetailedAppRegistrationResource

      public class AppRegistrationResource
      extends org.springframework.hateoas.RepresentationModel<AppRegistrationResource>

  Rest resource for an app registration.
  Author:
    Glenn Renfro, Mark Fisher, Patrick Peralta, Ilayaperumal Gopinathan

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AppRegistrationResource.Page` Dedicated subclass to workaround type erasure.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AppRegistrationResource()` Default constructor for serialization frameworks.
    `` | `AppRegistrationResource(String name, String type, String uri)`
    `` | `AppRegistrationResource(String name, String type, String version, String uri, Boolean defaultVersion)` Construct a `AppRegistrationResource`.
    `` | `AppRegistrationResource(String name, String type, String version, String uri, Boolean defaultVersion, HashSet<String> versions)` Construct a `AppRegistrationResource`.
    `` | `AppRegistrationResource(String name, String type, String version, String uri, Boolean defaultVersion, HashSet<String> versions, String label)` Construct a `AppRegistrationResource`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getDefaultVersion()`
    `String` | `getLabel()`
    `String` | `getName()`
    `String` | `getType()`
    `String` | `getUri()`
    `String` | `getVersion()`
    `HashSet<String>` | `getVersions()`
    `void` | `setLabel(String label)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppRegistrationResource

          protected AppRegistrationResource()

      Default constructor for serialization frameworks.

    - #### AppRegistrationResource

          public AppRegistrationResource(String name,
                                         String type,
                                         String uri)

    - #### AppRegistrationResource

          public AppRegistrationResource(String name,
                                         String type,
                                         String version,
                                         String uri,
                                         Boolean defaultVersion)

      Construct a `AppRegistrationResource`.
      Parameters:
        `name` - app name
        `type` - app type
        `version` - app version
        `uri` - uri for app resource
        `defaultVersion` - is this application selected to the be default version in DSL

    - #### AppRegistrationResource

          public AppRegistrationResource(String name,
                                         String type,
                                         String version,
                                         String uri,
                                         Boolean defaultVersion,
                                         HashSet<String> versions)

      Construct a `AppRegistrationResource`.
      Parameters:
        `name` - app name
        `type` - app type
        `version` - app version
        `uri` - uri for app resource
        `defaultVersion` - is this application selected to the be default version in DSL
        `versions` - all the registered versions of this application

    - #### AppRegistrationResource

          public AppRegistrationResource(String name,
                                         String type,
                                         String version,
                                         String uri,
                                         Boolean defaultVersion,
                                         HashSet<String> versions,
                                         String label)

      Construct a `AppRegistrationResource`.
      Parameters:
        `name` - app name
        `type` - app type
        `version` - app version
        `uri` - uri for app resource
        `defaultVersion` - is this application selected to the be default version in DSL
        `versions` - all the registered versions of this application
        `label` - the label name of the application

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name of the app

    - #### getType

          public String getType()

      Returns:
        type type of the app

    - #### getUri

          public String getUri()

      Returns:
        type URI for the app resource

    - #### getVersion

          public String getVersion()

      Returns:
        version of the app

    - #### getDefaultVersion

          public Boolean getDefaultVersion()

      Returns:
        if this app selected to be the default

    - #### getVersions

          public HashSet<String> getVersions()

      Returns:
        all the available versions of the app

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel(String label)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.